package moe.kageru.kodeshare

import io.ktor.application.install
import io.ktor.features.DefaultHeaders
import io.ktor.locations.Locations
import io.ktor.routing.routing
import io.ktor.server.engine.embeddedServer
import io.ktor.server.netty.Netty
import moe.kageru.kodeshare.Routes.createRoutes

@ExperimentalStdlibApi
fun main() {
    embeddedServer(Netty, 9092) {
        install(DefaultHeaders)
        install(Locations)
        routing {
            createRoutes()
        }
    }.start(wait = true)
}

data class Paste(val content: String, val html: String?)